> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# bria-video-remove-background

> API usage guide for bria-video-remove-background.

{/* source_model_id: bria-video-remove-background */}

{/* source_updated_at: 1782168084 */}

**Model ID**

```bash theme={null}
bria-video-remove-background
```

**Calling method:** async

# Bria Video Remove Background API Usage Guide

## Overview

**Bria Video Remove Background** is Bria's new video editing model used to remove backgrounds. It utilizes an input video to isolate the subject by removing or replacing the background with a specified color or transparency.

## Authentication

All API requests require authentication using an API key. Include your API key in the Authorization header:

```
Authorization: Bearer YOUR_API_KEY
```

***

## Submit Video Generation Request

### Base URL

```
https://console.gmicloud.ai
```

### Endpoint

```
POST /api/v1/ie/requestqueue/apikey/requests
```

### Request Format (cURL)

```bash theme={null}
curl -X POST "https://console.gmicloud.ai/api/v1/ie/requestqueue/apikey/requests" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "bria-video-remove-background",
    "payload": {
      "video": "https://example.com/input_video.mp4",
      "preserve_audio": true,
      "background_color": "Transparent",
      "output_container_and_codec": "webm_vp9"
    }
  }'
```

### Request Parameters

| Parameter                     | Type    | Required | Description                   | Default     | Constraints                                |
| ----------------------------- | ------- | -------- | ----------------------------- | ----------- | ------------------------------------------ |
| video                         | string  | Yes      | Input video URL.              | -           | Max 60s; Max resolution 16000x16000 (16K). |
| preserve\_audio               | boolean | No       | Whether to keep audio or not. | true        | -                                          |
| background\_color             | enum    | No       | Color for the background.     | Transparent | See below.                                 |
| output\_container\_and\_codec | enum    | No       | Format of the output video.   | mp4\_h264   | See below.                                 |

**Background Color Options:** Transparent, Black, White, Gray, Red, Green, Blue, Yellow, Cyan, Magenta, Orange.

**Output Options:** mp4\_h264, mp4\_h265, webm\_vp9, mov\_h265, mov\_proresks, mkv\_h264, mkv\_h265, mkv\_vp9, gif.

***

## Important: Transparent Background Requirement

If `background_color` is set to `Transparent`, the selected `output_container_and_codec` must support alpha channels.

### Output Transparency Support by Preset:

**Alpha Supported:**

* webm\_vp9
* mov\_proresks
* mkv\_vp9
* mkv\_raw
* gif
* mov\_h265 (when encoded as HEVC with Alpha)

**Alpha Not Supported:**

* mp4\_h264
* mp4\_h265
* mkv\_h264
* mkv\_h265
* avi\_h264

***

## Check Request Status

### Endpoint

`GET /api/v1/ie/requestqueue/apikey/requests/{request_id}`

### Example Response

```bash theme={null}
{
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "org_id": "bria",
  "model": "bria-video-remove-background",
  "status": "success",
  "payload": {
    "video": "https://example.com/input_video.mp4",
    "preserve_audio": true,
    "background_color": "Transparent"
  },
  "outcome": {
    "video_url": "https://storage.googleapis.com/bucket/generated-video.webm"
  },
  "created_at": 1750442925,
  "updated_at": 1750442930
}
```

***

## Request Status Values

| Status     | Description                             |
| ---------- | --------------------------------------- |
| queued     | Request is waiting to be processed      |
| processing | Video generation is in progress         |
| success    | Video generation completed successfully |
| failed     | Video generation failed                 |
| cancelled  | Request was cancelled                   |

***
